      subroutine xy_ran1(sta,ns) ! bernd berg, feb 21 2002.
c assigns random values to the states sta(ns). angle stored.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      dimension sta(ns)
      do is=1,ns
        sta(is)=tpi*rmafun()
      end do
      return
      end
